New Search

Integer overflow vulnerability in the mt_rand function in PHP before 5.3.4

oval:org.mitre.oval:def:12589

Integer overflow in the mt_rand function in PHP before 5.3.4 might make it easier for context-dependent attackers to predict the return values by leveraging a script's use of a large max parameter as demonstrated by a value that exceeds mt_getrandmax.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 7
  • Microsoft Windows Server 2003
  • Microsoft Windows Vista
  • Microsoft Windows 2000
  • Microsoft Windows Server 2008
Class:
vulnerability
Reference(s):
  • CVE-2011-0755
Product(s):
  • PHP